/* Copyright (c) 1998, MpegTV LLC */
#ifndef _voh_win32_api_h
#define _voh_win32_api_h
#ifndef lint
static const char rcsid_voh_win32_api_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/RCS/voh_win32_api.h,v 1.104 1999/05/01 08:13:18 tristan Exp tristan $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

/* VOH = Video Output Handler */

#include "mtvp/misc.h"

/*--------------------------------------------------------------------------+
| Configuration																|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Macros																	|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/


/* Specific VOH_FEEDBACK data from the WIN32 Video Output Handler */
typedef struct {

	/* type of X-specific message */
	enum {
		VOH_WIN32_FEEDBACK_TYPE_PLACEHOLDER = 0,	/* no associated data */
	} type;	

	/* associated data */
	union {
		char	placeholder;	
	} data;
	
} VOH_WIN32_FEEDBACK_DATA;

/* Specific A2G_COM_VOH_X_FEEDBACK data from the WIN32 Video Output Handler */
typedef struct {
	int handler_id;		/* VOH_X_HANDLER */
	VOH_WIN32_FEEDBACK_DATA data;
} VOH_WIN32_FEEDBACK;


typedef enum {
	VOH_WIN32_STRETCH_AUTO,
	VOH_WIN32_STRETCH_NEVER,
	VOH_WIN32_STRETCH_ALWAYS,
	VOH_WIN32_STRETCH_FILL
} VOH_WIN32_STRETCH;

/* type of X-specific message */
enum voh_win32_cntl_type {
	VOH_WIN32_CNTL_TYPE_STRETCH = 0,
	VOH_WIN32_CNTL_TYPE_TARGET_RECT = 1,
};	

/* Specific VOH_CNTL for the WIN32 Video Output Handler */
typedef struct {

	/* VOH_CNTL structure must ALWAYS start with int handler_id */
	int handler_id;		/* VOH_WIN32_HANDLER */

	/* type of X-specific message */
	enum voh_win32_cntl_type type;	

	/* associated data */
	union {
		char				nothing_yet;
		VOH_WIN32_STRETCH	stretch;
		RECT				target_rect;
	} data;
	
} VOH_WIN32_CNTL;


#endif /* _voh_win32_api_h */
